Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234546 - 'w' doesn't give correct information about what's being run.
Summary: 'w' doesn't give correct information about what's being run.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: procps
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-29 23:05 UTC by David Woodhouse
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-02 23:43:56 UTC


Attachments (Terms of Use)

Description David Woodhouse 2007-03-29 23:05:51 UTC
[dwmw2@dyn-254 ps3-linux-patches]$ w
 00:03:23 up 7 days, 10:47,  3 users,  load average: 4.00, 3.83, 2.59
USER     TTY      FROM              LOGIN@   IDLE   JCPU   PCPU WHAT
dwmw2    pts/0    pmac.infradead.o 17:13   32:14   2.20s  0.22s sshd: dwmw2 [pr
dwmw2    pts/1    pmac.infradead.o 20:05    1:43   2.97s  0.22s sshd: dwmw2 [pr
dwmw2    pts/2    pmac.infradead.o 18:06    0.00s  0.28s  0.22s sshd: dwmw2 [pr

Strangely, a couple of minutes later it does manage to show what at least _one_
terminal is doing...

[dwmw2@dyn-254 ps3-linux-patches]$  w
 00:05:02 up 7 days, 10:48,  3 users,  load average: 4.13, 4.00, 2.78
USER     TTY      FROM              LOGIN@   IDLE   JCPU   PCPU WHAT
dwmw2    pts/0    pmac.infradead.o 17:13   33:53   2.20s  0.22s sshd: dwmw2 [pr
dwmw2    pts/1    pmac.infradead.o 20:05    6.00s  0.47s  0.22s sshd: dwmw2 [pr
dwmw2    pts/2    pmac.infradead.o 18:06    0.00s  0.28s  0.02s w

Comment 1 Karel Zak 2007-04-02 23:43:56 UTC
Thanks. Fixed, update to procps-3.2.7-11.fc7.

Comment 2 Fedora Update System 2007-04-03 16:12:17 UTC
procps-3.2.7-8.3.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.